*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;

}

body{
    background: linear-gradient(-45deg, #eee952, #45e73c, #23a6d5, #d5b423);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

#headerBox{
    padding: 1rem;

    /* border: red 2px solid; */
}
#headerTitle{
    text-align: center;
    background-color: #e3c958;
    border-radius: 0.8rem;

    /* border: 1px black solid; */
}
.introBox{
    display: flex;
    justify-content: center;
    border-radius: 0.7rem;
    margin-top: 0.5em;
    background: repeating-linear-gradient(
        45deg,
        #ffec17,
        #73fb2f 30%,
        #f9af0f 30%,
        #e7b40c 30%
        );
    transition: all 0.3s linear;
}
.javaRemove{
    display: none;
}
#introText{
    /* align-self: center; */
    justify-self: center;
    font-size: 0.8em;
    font-weight: 600;

    /* border: #45e73c 2px solid; */
}
#crossIcon{
    width: 30px;
    height: 30px;
    overflow: hidden;
    transition: all 0.1s linear;
    cursor: pointer;


    /* border: #ff0000 2px solid; */
}
#crossIcon img{
    width: 100%;
    object-fit: contain;
}
#crossIcon:hover{
    scale: 1.2;
}

.searchContainer{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.4rem;
    margin: 0.6em;
    height: 5vh;
    position: relative;
    
    /* border: 2px blue solid; */
}



.content{
    padding: 0.4em;
    margin-top: 2rem;
    /* min-height: 60vh; */
    display: flex;
    justify-content: space-between;
    opacity: 1;
    transition: all 1s linear;

    /* border: black 3px solid; */
}
.removeJs{
    opacity: 0;
}
@media (width < 700px) {
    .content{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 0.5em;
        min-height: auto;
    }
}


.enterCityText{
    font-size: 1rem;
    font-weight: 600;
}
#searchBox{
    font-size: 1rem;
    font-weight: 600;
    border-radius: 0.3em;
    max-width: 50%;
    background-color: #4ce3f1;
    /* border: black 2px solid; */
    transition: all 0.1s linear;

}
#searchBox:hover{
    border: blue 2px solid;
}
#searchBox::placeholder{
    font-size: 1rem;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.505);
}
#searchBox:focus{
    /* border: blue 3px solid; */
    outline: none;
    box-shadow: 0 0 0 3px rgba(55, 138, 221, 0.25);

}
.searchButton{
    padding: 0 0.4em;
    border-radius: 0.4em;
    transition: all 0.1s linear;
    background-color: #4ce3f1;
    font-weight: 500;
}
.searchButton:hover{
    /* border: red 2px solid; */
    background-color: rgb(32, 130, 241);
    scale: 1.08;
}
.tryOtherLocationSugest{
    background-color: rgb(255, 81, 0);
    /* border: black 6px double; */
    padding: 0.3em;
    font-size: 1rem;
    font-weight: 600;
    position: absolute;
    top: 50px;
    opacity: 0;
    transition: all 0.4s linear;
}
#searchBox:focus ~ .tryOtherLocationSugest{ /* use + for immediate next element and use ~ for any next element */
    opacity: 1;
}



.upperLeftBox{
    max-width: 60%;
    display: flex;
    flex-wrap: wrap;
    gap: 0.3em;

    /* border: rgb(0, 8, 255) 3px solid; */
}
@media (width < 700px){
    .upperLeftBox{
        min-width: 100%;
        flex-wrap: nowrap;
        border-bottom: gray 3px solid;
        padding: 0.3em;
    }
}
.iconDesc{
    min-width: 30%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;

    /* border: red 2px solid; */
}
#weatherImg{
    overflow: hidden;
    max-height: 90%;
    min-height: 80%;
    width: auto;
    /* background-color: rgb(152, 151, 151);
    border-radius: 0.5em; */
}
#weatherImg img{
    object-fit: contain;
    height: 100%;
    width: 100%;
}
.desc{
    max-height: 20%;
    min-height: 10%;
    font-size: 1em;
    font-weight: 500;
    text-align: center;
    background-color: rgb(152, 151, 151);
    border-radius: 0.5em;

    /* border: black 2px solid; */
}

.tempBox{
    min-width: 30%;
    display: flex;
    flex-direction: column;
    gap: 1em;
    /* justify-content: space-between; */
    
    /* border: rgb(21, 21, 21) 2px solid;  */
}
#temp{
    display: flex;
    flex-direction: column-reverse;
    gap: 0.5em;
    padding: 0.2em;
    font-weight: 500;

    /* border: brown 2px solid; */
}
#tempVal{
    font-size: 2.5em;
    font-weight: 500;
    text-wrap: nowrap;
}
.feelLike{
    font-size: 1em;
    font-weight: 500;
    padding: 0.2em;
}

.location{
    /* justify-self: right; */
    margin-left: auto;
    font-size: 1.4em;
    font-weight: 500;
    display: flex;
    align-items: flex-end;
    gap: 0.1em;
    

    /* border: red 2px solid;  */
}
@media (width < 700px) {
    .location{
        flex-direction: column;
        justify-content: flex-end;
    }
}



.statList{
    max-width: 25vw;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    /* flex-direction: column; */
    gap: 0.5em;
    margin-top: 1em;

    /* border: green 2px solid; */
}
@media (width < 700px){
    .statList{
        max-width: 100%;
        /* flex-direction: row; */
        border-bottom: gray 3px solid;
        padding: 0.3em;
    }
}
.statText{
    display: flex;
    /* flex-direction: column-reverse; */
    justify-content: center;
    align-items: center;
    gap: 0.3em;
    padding: 0.3em;
    border-radius: 0.7em;
    background-color: rgb(127, 225, 255);
    font-size: 1em;
    font-weight: 500;
    /* min-width: 100px;
    min-height: 100px; */

    /* border: 1px brown solid; */
}


.foreCastBox{
    margin: 1em 0;
    padding: 0.5em;

    /* border: black 2px solid; */
}
.foreCastList{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    gap: 0.7em;
    list-style-type: none;

    /* border: red 2px solid; */
}
.listItem{
    background-color: rgb(169, 169, 169);
    border-radius: 0.7em;
    display: flex;
    flex-direction: column;
    gap: 0.3em;
    padding: 0.3em;
    align-items: center;
    justify-content: space-around;
    text-align: center;
    font-size: 1em;
    font-weight: 500;

    border: brown 2px solid;
}
.stats{
    display: flex;
    flex-direction: column;
    gap: 0.4em;
    text-align: left;
    /* text-wrap: nowrap; */
    opacity: 1;
    transition: all 1.1s linear;
}
.removeJs2{
    opacity: 0;
}

.stats .temperature{
    background-color: #1dc5d5;
    border-radius: 0.3em;
    padding: 0.15em;
    text-align: center;
}
.stats .humidity{
    background-color: #1dc5d5;
    border-radius: 0.3em;
    padding: 0.15em;
    text-align: center;
}

.forecastIcon{
    overflow: hidden;
    max-height: 100px;
    max-width: 100%;
    border-radius: 0.3em;

    /* border: RED 2px solid; */
}
.forecastIcon img{
    width: 100%;
    max-height: 100%;
    object-fit: contain;
}



.footerBox{
    padding: 1rem;
    text-align: center;

    /* border: 2px red solid; */
}

.copyrights{
    margin: 0.5rem;

    /* border: black 2px solid; */
}
.developerbox{
    /* background-color: aquamarine; */
    text-decoration: none;
    display: flex;
    gap: 0.5rem;
    justify-content: center;

    /* border: 2px red solid; */
}